commit:     655d847b6bb0bc9176299ed0ec64755186e875bf
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Wed Aug  2 10:39:29 2017 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Wed Aug  2 11:22:49 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=655d847b

dev-ml/pcre-ocaml: bump to 7.3.0

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 dev-ml/pcre-ocaml/Manifest                |  1 +
 dev-ml/pcre-ocaml/pcre-ocaml-7.3.0.ebuild | 36 +++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-ml/pcre-ocaml/Manifest b/dev-ml/pcre-ocaml/Manifest
index b486f994ab7..692908ab764 100644
--- a/dev-ml/pcre-ocaml/Manifest
+++ b/dev-ml/pcre-ocaml/Manifest
@@ -1 +1,2 @@
 DIST pcre-ocaml-7.2.3.tar.gz 88307 SHA256 
6339694dbeb706c5097180ed1d79b2dae681bf155a4780a7909af49b0e6f4666 SHA512 
3df4bdbbed5e1ecf4bdf15fc461f2ea65e1556af9c1683e194c8824e21da5274dd80c22c1f6676fca203305ec4244d47e09f0ef8c601bfa95f7237bb07c1ee65
 WHIRLPOOL 
5835811cc1aecfffa9a49704db545ff20a30089ad7bb2b9394cf20dc9c657b0f102d12e48c8eaab9d8e95eee3ca756b60a17e1715e0aca05b7a9665d6dcc558f
+DIST pcre-ocaml-7.3.0.tbz 38126 SHA256 
c34af191868266d2919962b53a3a7321a7b1fb0a5619c779e2188c6daa164546 SHA512 
bf2a5d188183a7f73d5a7eace98f225165e6b50828b061649e88922ca4d4705022551bce15b9b8319fc91734c77ee48182677cdb1abd754ae44c6f9412bd11e3
 WHIRLPOOL 
48160bf6e53a56710da6842931a171a48d8374cb547e1366f528c0eb58c55c863a47d87b13d0cc9db6aa9fc2821cbbe51c4ff6bdbeef9b0bdcb1d406d5f7b23e

diff --git a/dev-ml/pcre-ocaml/pcre-ocaml-7.3.0.ebuild 
b/dev-ml/pcre-ocaml/pcre-ocaml-7.3.0.ebuild
new file mode 100644
index 00000000000..c28f4a1d643
--- /dev/null
+++ b/dev-ml/pcre-ocaml/pcre-ocaml-7.3.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit opam
+
+DESCRIPTION="Perl Compatibility Regular Expressions for O'Caml"
+HOMEPAGE="http://mmottl.github.io/pcre-ocaml/ 
https://github.com/mmottl/pcre-ocaml";
+SRC_URI="https://github.com/mmottl/pcre-ocaml/releases/download/${PV}/pcre-${PV}.tbz
 -> ${P}.tbz"
+LICENSE="LGPL-2.1-with-linking-exception"
+IUSE="examples"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~ppc ~x86 ~x86-fbsd"
+
+RDEPEND=">=dev-libs/libpcre-4.5"
+DEPEND="${RDEPEND} dev-ml/jbuilder"
+
+S="${WORKDIR}/pcre-${PV}"
+
+src_compile() {
+       jbuilder build @install || die
+}
+
+src_test() {
+       jbuilder runtest || die
+}
+
+src_install() {
+       opam_src_install pcre
+
+       if use examples ; then
+               insinto /usr/share/doc/${PF}
+               doins -r examples
+       fi
+}

Reply via email to